Skip to main content
GET
/
partner
/
instances
/
info
Get Instances Endpoint
curl --request GET \
  --url https://api.example.com/partner/instances/info
[
  {
    "instance_id": "<string>",
    "name": "<string>",
    "short_name": "<string>",
    "parent_id": "<string>",
    "hierarchy": "<string>",
    "instance_type": "<string>",
    "is_consulting": true,
    "number_of_endpoints": 123,
    "url": "<string>",
    "tenant_id": "<string>",
    "agent_key": "<string>",
    "mfa": "<string>"
  }
]

Headers

Authorization
string

Query Parameters

instance_id
string

Optional instance ID to get information for a specific instance.

Response

OK

instance_id
string | null

The unique identifier for the instance.

name
string | null

The name of the instance.

short_name
string | null

The short name of the instance.

parent_id
string | null

The unique identifier for the parent instance.

hierarchy
string | null

The hierarchical tree structure of the instance.

instance_type
string | null

The type of the instance and indicates if this is an organization (usually an MSP, or MSSP) or an end instance (indicated as 'standard').

is_consulting
boolean

Indicates whether the instance is a trial (generally used during a consulting engagement) or a month-to-month instance.

number_of_endpoints
integer<int32>

The number of endpoints associated with the instance.

url
string | null

The number of users associated with the instance.

tenant_id
string | null

The tenant identifier associated with the instance.

agent_key
string | null

The agent key associated with the instance.

mfa
string | null

The MFA settings associated with the instance.